<?php
/**
*
* @copyright (c) 2008 Ken F. Innes IV
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* Language strings for this file only
*/
$db_update_lang = array(
	'SQL_STATEMENT_SUCCESS'	=> 'Query processed succesfully.',
	'SQL_STATEMENT_FAILURE'	=> 'There was an error while processing this query.',
	'SQL_RESULT_SUCCESS'	=> 'All queries have been processed succesfully. For security reasons, delete this file from your server.',
	'SQL_RESULT_FAILURE'	=> 'All queries have been processed, but some errors occured. For security reasons, delete this file from your server.',
);

/**
* Translators, do NOT translate anything below this line!
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/db/db_tools.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('common');

if (!$auth->acl_get('a_'))
{
	trigger_error($user->lang['NOT_AUTHORISED']);
}

$db->sql_return_on_error(true);

if (empty($user->lang) || !is_array($user->lang))
{
	$user->lang = array();
}
$user->lang = array_merge($user->lang, $db_update_lang);

$message = '';
$error = false;
$sql_ary = array();

//$sql_ary[] = 'ALTER TABLE ' . USERS_TABLE . ' ADD COLUMN user_show_age tinyint(1) UNSIGNED DEFAULT "0" NOT NULL';
$db_tools = new phpbb_db_tools($db);
$db_tools->return_statements = true;
$schema_changes = array(
	'add_columns' => array(
		USERS_TABLE => array(
			'user_show_age' => array('TINT:4', '0'),
		),
	),
);
$sql_ary = $db_tools->perform_schema_changes($schema_changes);

foreach ($sql_ary as $sql)
{
	$message .= '<p style="font-weight: bold;">'.$sql.'</p>';
	$result = $db->sql_query($sql);
	if ($result)
	{
		$message .= '<p style="color: green;">' . $user->lang['SQL_STATEMENT_SUCCESS'] . '</p>';
	}
	else
	{
		$error = true;
		$message .= '<p style="color: red;">' . $user->lang['SQL_STATEMENT_FAILURE'] . '</p>';
	}
	$message .= '<br />';
}

if($error == true)
{
	$message .= '<p style="color: red;">' . $user->lang['SQL_RESULT_FAILURE'] . '</p>';
}
else
{
	$message .= '<p style="color: green;">' . $user->lang['SQL_RESULT_SUCCESS'] . '</p>';
}
trigger_error($message);

?>